<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
	<id>https://www.p1gsel.com/p1gwars/index.php?action=history&amp;feed=atom&amp;title=Template%3AStatic_row_numbers%2Fstyles.css</id>
	<title>Template:Static row numbers/styles.css - Revision history</title>
	<link rel="self" type="application/atom+xml" href="https://www.p1gsel.com/p1gwars/index.php?action=history&amp;feed=atom&amp;title=Template%3AStatic_row_numbers%2Fstyles.css"/>
	<link rel="alternate" type="text/html" href="https://www.p1gsel.com/p1gwars/index.php?title=Template:Static_row_numbers/styles.css&amp;action=history"/>
	<updated>2026-04-19T18:08:49Z</updated>
	<subtitle>Revision history for this page on the wiki</subtitle>
	<generator>MediaWiki 1.45.1</generator>
	<entry>
		<id>https://www.p1gsel.com/p1gwars/index.php?title=Template:Static_row_numbers/styles.css&amp;diff=10278&amp;oldid=prev</id>
		<title>P1gsel: 1 revision imported</title>
		<link rel="alternate" type="text/html" href="https://www.p1gsel.com/p1gwars/index.php?title=Template:Static_row_numbers/styles.css&amp;diff=10278&amp;oldid=prev"/>
		<updated>2026-04-18T12:39:02Z</updated>

		<summary type="html">&lt;p&gt;1 revision imported&lt;/p&gt;
&lt;table style=&quot;background-color: #fff; color: #202122;&quot; data-mw=&quot;interface&quot;&gt;
				&lt;col class=&quot;diff-marker&quot; /&gt;
				&lt;col class=&quot;diff-content&quot; /&gt;
				&lt;col class=&quot;diff-marker&quot; /&gt;
				&lt;col class=&quot;diff-content&quot; /&gt;
				&lt;tr class=&quot;diff-title&quot; lang=&quot;en&quot;&gt;
				&lt;td colspan=&quot;2&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;← Older revision&lt;/td&gt;
				&lt;td colspan=&quot;2&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;Revision as of 14:39, 18 April 2026&lt;/td&gt;
				&lt;/tr&gt;&lt;tr&gt;&lt;td colspan=&quot;4&quot; class=&quot;diff-notice&quot; lang=&quot;en&quot;&gt;&lt;div class=&quot;mw-diff-empty&quot;&gt;(No difference)&lt;/div&gt;
&lt;/td&gt;&lt;/tr&gt;
&lt;!-- diff cache key p1gsel_wiki:diff:1.41:old-10277:rev-10278 --&gt;
&lt;/table&gt;</summary>
		<author><name>P1gsel</name></author>
	</entry>
	<entry>
		<id>https://www.p1gsel.com/p1gwars/index.php?title=Template:Static_row_numbers/styles.css&amp;diff=10277&amp;oldid=prev</id>
		<title>wikipedia&gt;MusikBot II: Changed protection settings for &quot;Template:Static row numbers/styles.css&quot;: High-risk template or module: 2505 transclusions (more info) ([Edit=Require extended confirmed access] (indefinite) [Move=Require extended confirmed access] (indefinite))</title>
		<link rel="alternate" type="text/html" href="https://www.p1gsel.com/p1gwars/index.php?title=Template:Static_row_numbers/styles.css&amp;diff=10277&amp;oldid=prev"/>
		<updated>2025-09-13T18:00:16Z</updated>

		<summary type="html">&lt;p&gt;Changed protection settings for &amp;quot;&lt;a href=&quot;/p1gwars/wiki/Template:Static_row_numbers/styles.css&quot; title=&quot;Template:Static row numbers/styles.css&quot;&gt;Template:Static row numbers/styles.css&lt;/a&gt;&amp;quot;: &lt;a href=&quot;https://en.wikipedia.org/wiki/High-risk_templates&quot; class=&quot;extiw&quot; title=&quot;wikipedia:High-risk templates&quot;&gt;High-risk template or module&lt;/a&gt;: 2505 transclusions (&lt;a href=&quot;/p1gwars/index.php?title=User:MusikBot_II/TemplateProtector&amp;amp;action=edit&amp;amp;redlink=1&quot; class=&quot;new&quot; title=&quot;User:MusikBot II/TemplateProtector (page does not exist)&quot;&gt;more info&lt;/a&gt;) ([Edit=Require extended confirmed access] (indefinite) [Move=Require extended confirmed access] (indefinite))&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;/* {{pp-template}} */&lt;br /&gt;
/**&lt;br /&gt;
 * Add a static (unsortable) column of numbers to the left of a table.&lt;br /&gt;
 *&lt;br /&gt;
 * Table classes:&lt;br /&gt;
 * - static-row-numbers: Display column of right-aligned numbers.&lt;br /&gt;
 * - static-row-numbers-center: Center align numbers.&lt;br /&gt;
 * - static-row-numbers-left: Left align numbers.&lt;br /&gt;
 * - static-row-header-text: Display &amp;quot;No.&amp;quot; text column label.&lt;br /&gt;
 * - static-row-header-hash: Display hash (&amp;quot;#&amp;quot;) symbol column label.&lt;br /&gt;
 *&lt;br /&gt;
 * Row classes:&lt;br /&gt;
 * - static-row-header: Disable number and borders.&lt;br /&gt;
 * - static-row-numbers-norank: Disable number and keep borders.&lt;br /&gt;
 *&lt;br /&gt;
 * Table data attributes:&lt;br /&gt;
 * - data-srn-limit=&amp;quot;#&amp;quot;: (#=10) Remove numbers beyond row #.&lt;br /&gt;
 *&lt;br /&gt;
 * Tested:&lt;br /&gt;
 * - Windows 10: (all skins) Chrome, Firefox, Edge.&lt;br /&gt;
 * - Android Galaxy S21 (MinervaNeue): Chrome, Firefox.&lt;br /&gt;
 * - Wikipedia Android app.&lt;br /&gt;
 * - Print.&lt;br /&gt;
 * - No JavaScript.&lt;br /&gt;
 * - Sticky gadget in Windows browsers (default skin).&lt;br /&gt;
 * - Dark Reader browser extention in Windows browsers (default skin).&lt;br /&gt;
 *&lt;br /&gt;
 * Notes:&lt;br /&gt;
 * - Sortable moves to thead any header rows and (after sort) sorttop rows.&lt;br /&gt;
 * - Sticky gadget (.mw-sticky-header) moves to thead any wikitable header rows.&lt;br /&gt;
 */&lt;br /&gt;
.static-row-numbers {&lt;br /&gt;
  counter-reset: rowNumber;&lt;br /&gt;
}&lt;br /&gt;
.static-row-numbers tr::before {&lt;br /&gt;
  content: &amp;quot;&amp;quot;;&lt;br /&gt;
  display: table-cell;&lt;br /&gt;
  padding-right: 0.5em;&lt;br /&gt;
  padding-left: 0.5em;&lt;br /&gt;
  text-align: right;&lt;br /&gt;
  vertical-align: inherit;&lt;br /&gt;
}&lt;br /&gt;
.static-row-numbers.static-row-numbers-center tr::before {&lt;br /&gt;
  text-align: center;&lt;br /&gt;
}&lt;br /&gt;
.static-row-numbers.static-row-numbers-left tr::before {&lt;br /&gt;
  text-align: left;&lt;br /&gt;
}&lt;br /&gt;
.static-row-numbers.wikitable tr::before {&lt;br /&gt;
  background-color: var(--background-color-neutral, #eaecf0);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/**&lt;br /&gt;
 * Add count to all tbody rows without the &amp;quot;static-row-numbers-norank&amp;quot; or&lt;br /&gt;
 * &amp;quot;static-row-header&amp;quot; classes. If no thead, then skip the first tbody row.&lt;br /&gt;
 */&lt;br /&gt;
.static-row-numbers thead + tbody tr:first-child:not(.static-row-header):not(.static-row-numbers-norank)::before,&lt;br /&gt;
.static-row-numbers tbody tr:not(:first-child):not(.static-row-header):not(.static-row-numbers-norank)::before {&lt;br /&gt;
  counter-increment: rowNumber;&lt;br /&gt;
  content: counter(rowNumber);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/**&lt;br /&gt;
 * Remove count on tbody rows beyond the limit.&lt;br /&gt;
 * Note, nth-child cannot be combined with not() to exclude headers and the&lt;br /&gt;
 * &amp;quot;static-row-header&amp;quot; and &amp;quot;static-row-numbers-norank&amp;quot; classes:&lt;br /&gt;
 * - Table must be sortable to move headers pre-sort to thead.&lt;br /&gt;
 * - No sorttop (static-row-header) above sortable data; moved post-sort.&lt;br /&gt;
 * - No static-row-numbers-norank in sortable data.&lt;br /&gt;
 */&lt;br /&gt;
.static-row-numbers.sortable[data-srn-limit=&amp;quot;10&amp;quot;] tbody tr:nth-child(n+11)::before {&lt;br /&gt;
  content: &amp;quot;&amp;quot;;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/**&lt;br /&gt;
 * Add column label to first row in thead or, if no thead, in tbody.&lt;br /&gt;
 */&lt;br /&gt;
.static-row-header-text.static-row-numbers thead tr:first-child::before,&lt;br /&gt;
.static-row-header-text.static-row-numbers caption + tbody tr:first-child::before,&lt;br /&gt;
.static-row-header-text.static-row-numbers tbody:first-child tr:first-child::before {&lt;br /&gt;
  content: &amp;quot;No.&amp;quot;;&lt;br /&gt;
  font-weight: bold;&lt;br /&gt;
}&lt;br /&gt;
.static-row-header-hash.static-row-numbers thead tr:first-child::before,&lt;br /&gt;
.static-row-header-hash.static-row-numbers caption + tbody tr:first-child::before,&lt;br /&gt;
.static-row-header-hash.static-row-numbers tbody:first-child tr:first-child::before {&lt;br /&gt;
  content: &amp;quot;#&amp;quot;;&lt;br /&gt;
  font-weight: bold;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/**&lt;br /&gt;
 * Add borders in numbers column.&lt;br /&gt;
 *&lt;br /&gt;
 * Windows Firefox tr::before doesn&amp;#039;t inherit color, so hard set.&lt;br /&gt;
 * Plain table borders on Timeless {{row hover highlight}} mw-datatable.&lt;br /&gt;
 */&lt;br /&gt;
&lt;br /&gt;
/* Wikitable. */&lt;br /&gt;
.static-row-numbers.wikitable tr::before {&lt;br /&gt;
  border: 0 solid var(--border-color-base, #a2a9b1);&lt;br /&gt;
}&lt;br /&gt;
.static-row-numbers.wikitable thead + tbody tr:first-child:not(.static-row-header)::before,&lt;br /&gt;
.static-row-numbers.wikitable tbody tr:not(:first-child):not(.static-row-header)::before {&lt;br /&gt;
  border-width: 1px;&lt;br /&gt;
}&lt;br /&gt;
body.skin-monobook .static-row-numbers.wikitable tr::before {&lt;br /&gt;
  border-color: #aaa;&lt;br /&gt;
}&lt;br /&gt;
body.skin-timeless .static-row-numbers.wikitable tr::before {&lt;br /&gt;
  border-color: #c8ccd1;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Plain with border. */&lt;br /&gt;
table[border].static-row-numbers:not(.wikitable) tr::before {&lt;br /&gt;
  border: 0 inset var(--color-base, #202122);&lt;br /&gt;
}&lt;br /&gt;
table[border].static-row-numbers:not(.wikitable) thead + tbody tr:first-child:not(.static-row-header)::before,&lt;br /&gt;
table[border].static-row-numbers:not(.wikitable) tbody tr:not(:first-child):not(.static-row-header)::before {&lt;br /&gt;
  border-width: 1px;&lt;br /&gt;
}&lt;br /&gt;
/* Dark mode border colors calc differ for table and tr::before, per engine. */&lt;br /&gt;
html.skin-theme-clientpref-night table[border].static-row-numbers:not(.wikitable),&lt;br /&gt;
html.skin-theme-clientpref-night table[border].static-row-numbers:not(.wikitable) tr::before,&lt;br /&gt;
html.skin-theme-clientpref-night table[border].static-row-numbers:not(.wikitable) th,&lt;br /&gt;
html.skin-theme-clientpref-night table[border].static-row-numbers:not(.wikitable) td {&lt;br /&gt;
  /* Accessibility: Wikipedia dark mode. */&lt;br /&gt;
  border-color: gray;&lt;br /&gt;
}&lt;br /&gt;
@media (prefers-color-scheme: dark) {&lt;br /&gt;
  html.skin-theme-clientpref-os table[border].static-row-numbers:not(.wikitable),&lt;br /&gt;
  html.skin-theme-clientpref-os table[border].static-row-numbers:not(.wikitable) tr::before,&lt;br /&gt;
  html.skin-theme-clientpref-os table[border].static-row-numbers:not(.wikitable) th,&lt;br /&gt;
  html.skin-theme-clientpref-os table[border].static-row-numbers:not(.wikitable) td {&lt;br /&gt;
    /* Accessibility: OS dark mode, Wikidedia automatic mode. */&lt;br /&gt;
    border-color: gray;&lt;br /&gt;
  }&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Plain with optional border + .mw-datatable. */&lt;br /&gt;
body.skin-timeless .static-row-numbers.mw-datatable:not(.wikitable) tr::before {&lt;br /&gt;
  border: 0 solid #c8ccd1;&lt;br /&gt;
}&lt;br /&gt;
body.skin-timeless .static-row-numbers.mw-datatable:not(.wikitable) thead + tbody tr:first-child:not(.static-row-header)::before,&lt;br /&gt;
body.skin-timeless .static-row-numbers.mw-datatable:not(.wikitable) tbody tr:not(:first-child):not(.static-row-header)::before {&lt;br /&gt;
  border-width: 1px;&lt;br /&gt;
}&lt;/div&gt;</summary>
		<author><name>wikipedia&gt;MusikBot II</name></author>
	</entry>
</feed>